<div class="horizontal-centered-block">
  <div class="theme-wrapper">
    <div class="theme-card noselect">
      <div class="theme-header">
        {{ "AUTH.LOGIN.TITLE" | translate }}

        <div class="load-indicator" *ngIf="isLoading">
          <ion-spinner name="crescent" color="tertiary"></ion-spinner>
        </div>
      </div>

      <form [formGroup]="loginForm" (ngSubmit)="onLogin()">
        <div class="theme-content">
          <ion-item-group class="data-group">
            <!-- USERNAME -->
            <ion-item class="input-item">
              <ion-input
                class="input-field"
                type="text"
                label="{{ 'AUTH.LOGIN.USERLABEL' | translate }}*"
                labelPlacement="floating"
                required
                autocomplete="off"
                formControlName="username"
              ></ion-input>
              <ion-note
                class="error-note"
                *ngIf="
                  loginForm.get('username')['errors'] &&
                  loginForm.get('username').dirty
                "
              >
                {{
                  errorMessages[firstError(loginForm, "username").key]
                    | translate
                      : errMsgKeys(firstError(loginForm, "username").val)
                }}
              </ion-note>
            </ion-item>

            <!-- PASSWORD -->
            <ion-item class="input-item">
              <ion-input
                class="input-field"
                label="{{ 'AUTH.LOGIN.PWLABEL' | translate }}*"
                labelPlacement="floating"
                required
                autocomplete="off"
                [type]="hidePw ? 'password' : 'text'"
                formControlName="password"
              ></ion-input>
              <ion-note
                class="error-note"
                *ngIf="
                  loginForm.get('password')['errors'] &&
                  loginForm.get('password').dirty
                "
              >
                {{
                  errorMessages[firstError(loginForm, "password").key]
                    | translate
                      : errMsgKeys(firstError(loginForm, "password").val)
                }}
              </ion-note>
              <ion-button
                class="suffix-icon"
                slot="end"
                fill="clear"
                color="medium"
                shape="round"
                (click)="hidePw = !hidePw"
              >
                <ion-icon
                  name="{{ hidePw ? 'eye-off-outline' : 'eye-outline' }}"
                ></ion-icon>
              </ion-button>
            </ion-item>

            <div class="recaptcha-wrapper">
              <div class="recaptcha-block">
                <div class="recaptcha-inner">
                  <ngx-recaptcha2
                    *ngIf="!isLoading"
                    #captchaElem
                    [siteKey]="recaptchaSiteKey"
                    [useGlobalDomain]="false"
                    [size]="recaptchaSize"
                    [hl]="recaptchaLanguage"
                    [theme]="recaptchaTheme"
                    [type]="recaptchaType"
                    formControlName="recaptcha"
                  >
                  </ngx-recaptcha2>
                </div>
              </div>
            </div>
          </ion-item-group>
        </div>

        <div class="theme-footer">
          <ion-button
            type="submit"
            expand="block"
            [disabled]="!loginForm.valid || loginForm.pristine || isLoading"
            >{{ "AUTH.LOGIN.COMMITBTN" | translate }}</ion-button
          >
        </div>
      </form>
    </div>
  </div>
</div>
